LegalStack

Интерфейсы — API-доступ

Программный доступ к интерфейсам (через API-токен).

Схема интерфейса (API)

GET
/api/v1/interfaces/api/{token}

Параметры пути

token*string

Токен API-канала интерфейса

Тело ответа

application/json

application/problem+json

curl -X GET "https://loading/api/v1/interfaces/api/string"
{
  "description": "string",
  "fields": [
    {
      "property1": null,
      "property2": null
    }
  ],
  "id": "string",
  "publicSettings": {
    "property1": null,
    "property2": null
  },
  "title": "string",
  "type": "string",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Отправить интерфейс (API)

POST
/api/v1/interfaces/api/{token}/submit

Параметры пути

token*string

Токен API-канала интерфейса

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

application/problem+json

curl -X POST "https://loading/api/v1/interfaces/api/string/submit" \  -H "Content-Type: application/json" \  -d '{    "data": {      "property1": null,      "property2": null    }  }'
{
  "bindingRecordId": "string",
  "submissionId": "string",
  "success": true
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}